Package org.codehaus.janino

# Class Java.EnclosingScopeOfTypeDeclaration

java.lang.Object
org.codehaus.janino.Java.EnclosingScopeOfTypeDeclaration

All Implemented Interfaces:
  `Java.Scope`

Enclosing class:
  `Java`

public static final class Java.EnclosingScopeOfTypeDeclaration extends Object implements Java.Scope
Lazily determines and returns the enclosing `Java.Scope` of the given `Java.TypeDeclaration`.

## Field Summary

Fields
Modifier and Type
Field
Description
`final Java.TypeDeclaration`
`typeDeclaration`
The specific type declaration.

## Constructor Summary

Constructors
Constructor
Description
`EnclosingScopeOfTypeDeclaration(Java.TypeDeclaration typeDeclaration)`

## Method Summary

Modifier and Type
Method
Description
`Java.Scope`
`getEnclosingScope()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### typeDeclaration

public final Java.TypeDeclaration typeDeclaration
The specific type declaration.

## Constructor Details

### EnclosingScopeOfTypeDeclaration

public EnclosingScopeOfTypeDeclaration(Java.TypeDeclaration typeDeclaration)

## Method Details

### getEnclosingScope

public Java.Scope getEnclosingScope()

Specified by:
  `getEnclosingScope` in interface `Java.Scope`
Returns:
  The scope that encloses this scope, or `null`